Author Topic: New eBox 1.4-2 installer released!  (Read 6259 times)

J. A. Calvo

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1986
  • Karma: +67/-3
    • View Profile
    • http://blogs.zentyal.org/jacalvo
New eBox 1.4-2 installer released!
« on: May 12, 2010, 11:26:48 am »
Hi fellow eBox users,

I just wanted to let you know that we've done a lot of bugfixing and small improvements since the last 1.4-1 release. Those all enhancements have now been included on a new installer.

You can download it as usual in our Download page.

Here is a summary of the most relevant changes:

- dns: Added support for internal networks allowed to recurse the caching server.
- ebackup: Improvements on frequency and keep options. Added backup and restore of logs. Added restore configuration from backup action. VolSize option can be changed through configuration file.
- egroupware: Now works properly on a master-slave scenario.
- firewall: New firewall table containing rules added by eBox services.
- network: Failover test are more robust now.
- samba: Allow guest shares. New patched samba package that should fix the full_audit bug.
- squid: New bandwidth throttling support with delay pools (to allow traffic shaping when transparent proxy is enabled). Add refresh_pattern options for Microsoft Windows, Debian and Ubuntu updates.
- webserver: Allow non-fqdn and topdomains as vhosts.

More bugfixes and improvements on the following modules: asterisk, ca, monitor, openvpn, remoteservices, software, trafficshaping, usersandgroups and webmail.

You can have a look at the full changelog since 1.4-1 at http://trac.ebox-platform.com/wiki/Document/Changelog/1.4-2
Zentyal Server Lead Developer

jquintao

  • Board Moderator
  • Zen Hero
  • *****
  • Posts: 648
  • Karma: +14/-0
  • jquintao
    • View Profile
    • NetSol
Re: New eBox 1.4-2 installer released!
« Reply #1 on: May 14, 2010, 04:18:14 am »
Hi Jose,

Congratulations for the new version... I have a question ... Can I upgrade a machine that was installed with ISO 1.4 or 1.4-1 to 1.4-2? I need to put something in /etc/apt/sources.list?

I have a machine using the following packets:

Code: [Select]
ii  ebox-antivirus                        1.4-0ubuntu1~ppa1~hardy1             eBox - Antivirus
ii  ebox-asterisk                         1.4-0ubuntu1~ppa1~hardy2             eBox - VoIP
ii  ebox-ca                               1.4.1-0ubuntu1~ppa1~hardy1           eBox - Certification Authority
ii  ebox-dhcp                             1.4-0ubuntu1~ppa1~hardy1             eBox - DHCP Service
ii  ebox-dns                              1.4-0ubuntu1~ppa1~hardy1             eBox - DNS Service
ii  ebox-estatisticas                     0.1                                  eBox - module
ii  ebox-firewall                         1.4.3-0ubuntu1~ppa1~hardy1           eBox - Firewall
ii  ebox-monitor                          1.4.1-0ubuntu1~ppa1~hardy1           eBox - Monitor
ii  ebox-network                          1.4.3-0ubuntu1~ppa1~hardy1           eBox - Network Configuration
ii  ebox-ntp                              1.4-0ubuntu1~ppa1~hardy1             eBox - NTP Service
ii  ebox-objects                          1.4-0ubuntu1~ppa1~hardy1             eBox - Network Objects
ii  ebox-openvpn                          1.4.1-0ubuntu1~ppa1~hardy1           eBox - VPN Service
ii  ebox-services                         1.4-0ubuntu1~ppa1~hardy1             eBox - Network Services
ii  ebox-software                         1.4.1-0ubuntu1~ppa1~hardy1           eBox - Software Management
ii  ebox-squid                            1.4.1-0ubuntu1~ppa1~hardy1           eBox - HTTP Proxy (Cache and Content Filter)
ii  ebox-usersandgroups                   1.4.4-0ubuntu1~ppa1~hardy1           eBox - Users and Groups

These packets are up-to-date?

Thanks,
Jorge Quintao

J. A. Calvo

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1986
  • Karma: +67/-3
    • View Profile
    • http://blogs.zentyal.org/jacalvo
Re: New eBox 1.4-2 installer released!
« Reply #2 on: May 14, 2010, 06:22:32 am »
Yes, if you want the latests versions of all the packages you have to add the 1.4-proposed repository, have a look at:

http://trac.ebox-platform.com/wiki/Document/Documentation/Updates#Proposedupdatesfor1.4
Zentyal Server Lead Developer

centaur5

  • Zen Monk
  • **
  • Posts: 61
  • Karma: +1/-0
    • View Profile
Re: New eBox 1.4-2 installer released!
« Reply #3 on: May 24, 2010, 03:29:34 am »
When you say that you've added refresh patterns for Ubuntu and windows updates does that mean you used squid to cache them so apt-cacher (or any other alternative) is no longer necessary?  If so, have the 1.5 development packages been built on top of 1.4-2 so they include the features already?

jsalamero

  • Zentyal Staff
  • Zen Hero
  • *****
  • Posts: 1419
  • Karma: +45/-1
    • View Profile
Re: New eBox 1.4-2 installer released!
« Reply #4 on: May 24, 2010, 04:51:35 pm »
Yes, no apt-cacher it necessary.